Skip to main content
GET
/
billing_rules
/
{billing_rule_token}
Get billing rule by token
curl --request GET \
  --url https://api.vantage.sh/v2/billing_rules/{billing_rule_token} \
  --header 'Authorization: Bearer <token>'
{
  "token": "bllng_rule_a2708f17b2d3fb0e",
  "title": "Exclude Reserved Instance Fees",
  "type": "Exclusion",
  "created_by_token": "usr_d253a52c80171514",
  "created_at": "2024-07-02T15:26:50Z",
  "charge_type": "Reserved Instance Fees"
}

Documentation Index

Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

billing_rule_token
string
required

Response

BillingRule model

token
string
required
title
string
required

The title of the BillingRule.

Example:

"Credit for Unused EC2 Instances"

type
string
required

The type of the BillingRule.

Example:

"credit"

apply_to_all
boolean | null
required

Whether the BillingRule applies to all future managed accounts.

Example:

true

created_by_token
string
required

The token of the Creator of the BillingRule.

Example:

"usr_1234"

created_at
string
required

The date and time, in UTC, the BillingRule was created. ISO 8601 Formatted.

Example:

"2024-06-28T00:00:00Z"

start_date
string | null

The start date of the BillingRule.

Example:

"2024-06-28T00:00:00Z"

end_date
string | null

The end date of the BillingRule.

Example:

"2024-06-28T00:00:00Z"

service
string | null

The service for the BillingRule (Charge).

Example:

"AWS Cloudfront"

category
string | null

The category for the BillingRule (Charge).

Example:

"MSP Fee"

percentage
string | null

The percentage of the cost shown for the BillingRule (Adjustment).

Example:

"75.0"

charge_type
string | null

The charge type for the BillingRule.

Example:

"RIFee"

sub_category
string | null

The subcategory for the BillingRule (Charge).

Example:

"One-time"

start_period
string | null

The start period for the BillingRule (Charge).

Example:

"2024-05-01"

amount
string | null

The amount for the BillingRule (Charge).

Example:

"5000.25"

sql_query
string | null

The SQL query for the BillingRule (Custom).

Example:

"UPDATE costs SET costs.amount = costs.amount * 0.95"